.CategoryProductList {
    @include after-mobile {
        min-height: unset;
    }

    &-Page {
        grid-column-gap: 2.6rem;

        .CategoryProductList_gridMode_3 & {
            grid-template-columns: repeat(3, 1fr);

            @include mobile {
                grid-template-columns: repeat(1, 1fr);
            }
        }

        @include mobile {
            grid-column-gap: 1rem;
        }

        @include tablet {
            //grid-template-columns: repeat(4, 1fr);
        }
        &_isTabbed {
            min-height: 337px;
            max-width: 100%;
            padding-top: 32px;
            margin-top: 0 !important;
            position: absolute;
            //display: none !important;
            z-index: 1;
            background: #f5f5f5;

            @media screen and (min-width: $wide-content-wrapper-width) {
                max-width: calc(#{$wide-content-wrapper-width} + ((100vw - #{$wide-content-wrapper-width}) / 2));
            }

            .ProductCard,
            .ProductCard-Content {
                border-top: none;
                background-color: transparent;
            }

            .ProductListCarousel {
                width: 100%;

                //height: 337px;
                //@include mobile {
                //    height: auto;
                //}
            }

            @include mobile {
                min-height: auto;
            }
        }

        &_isTabbed#{&}_isCurrent {
            //display: block !important;
            z-index: 10;
        }
    }

    &-LoadButton {
        padding: 1em 0;
        margin-bottom: 1rem;
        background-color: var(--category-product-list-load-button-background);
        font-size: 13pt;
        text-align: center;
        cursor: pointer;
    }

    &-VerticalButtonLeft {
        @include mobile {
            display: none;
        }

        height: 0;
        position: sticky;

        top: var(--hide-description-top);
        transform: rotate(90deg);
        transform-origin: left top;

        &_notSticky {
            position: absolute;
            top: unset;
            bottom: calc(var(--hide-description-height) + 2.6rem);
        }

        button {
            padding: 10px;
            border: 1px solid $grey-1-color;
            border-bottom: 0;
            transform: rotateX(180deg) rotateY(180deg);
        }
    }

    &-GridSwitcher {
        width: 43px;
        border: 1px solid $grey-1-color;
        position: absolute;
        top: 0;
        right: -42px;

        button {
            display: block;
        }

        @include mobile {
            display: flex;
            width: fit-content;
            border: 0;
            position: relative;
            right: initial;
            z-index: 1;

            button {
                margin: 0 7px 0 0;
            }
        }
    }

    &-Grid-3 {
        margin: 10px auto 6px;

        @include mobile {
            order: 2;
        }
    }

    &-Grid-4 {
        margin: 6px auto 10px;
    }

    &-GridSwitcher_gridMode_4 {
        .CategoryProductList-Grid-3 {
            &::before {
                content: url('../../style/images/3x3.svg');

                @include mobile {
                    display: inline-block;
                    width: 22px;
                    height: 22px;
                    background-color: $grey-3-color;
                    content: '';
                }
            }

            &:hover {
                &::before {
                    @include after-mobile {
                        content: url('../../style/images/3x3on.svg');
                    }
                }
            }
        }

        .CategoryProductList-Grid-4 {
            &::before {
                content: url('../../style/images/4x4on.svg');

                @include mobile {
                    content: url('../../style/images/2x2on.svg');
                }
            }
        }
    }

    &-GridSwitcher_gridMode_3 {
        .CategoryProductList-Grid-3 {
            &::before {
                content: url('../../style/images/3x3on.svg');

                @include mobile {
                    display: inline-block;
                    width: 22px;
                    height: 22px;
                    background-color: $black;
                    content: '';
                }
            }
        }

        .CategoryProductList-Grid-4 {
            &::before {
                content: url('../../style/images/4x4.svg');

                @include mobile {
                    content: url('../../style/images/2x2.svg');
                }
            }

            &:hover {
                &::before {
                    @include after-mobile {
                        content: url('../../style/images/4x4on.svg');
                    }
                }
            }
        }
    }

    &-Tile {
        display: flex;
        height: 100%;
        padding: 64px 16px 48px 24px;
        flex-direction: column;
        justify-content: space-between;
        color: #fff;
        background: var(--primary-base-color);
        font-family: $font-rifton;
        font-size: 28px;
        line-height: 32px;

        @include mobile {
            padding: 26px 16px 16px;
        }

        &:hover,
        &:focus {
            text-decoration: none;
        }

        .CategoryProductList_gridMode_3 & {
            min-height: 350px;

            @include mobile {
                padding-top: 50px;
                font-size: 20px;
            }

            @include tablet {
                font-size: 25px;
            }
        }

        .CategoryProductList_gridMode_4 & {
            @include tablet {
                padding-top: 25px;
                padding-bottom: 25px;
                font-size: 19px;
            }
        }

        @include mobile {
            font-size: 12px;
            line-height: 20px;
        }

        > button {
            width: fit-content;
            min-width: 132px;
            padding: 15px 20px;
            border: 1px solid currentcolor;
            color: inherit;
            font-family: $font-work-sans;
            font-weight: 500;
            text-transform: uppercase;

            @include mobile {
                width: 100%;
                min-width: unset;
                padding: 15px 5px;
            }
        }

        &_red {
            color: var(--primary-base-color);
            background: var(--red-color);
        }

        &_green {
            color: var(--primary-base-color);
            background: var(--secondary-base-color);
        }
    }

    &-TileWrapper {
        > * {
            height: 100%;
        }
    }
}
